org.red5.io.amf3

## Interface IDataInput

All Known Implementing Classes:
  ByteArray, DataInput

    public interface IDataInput

Interface implemented by classes that provide a way to load custom objects.

See Also:
  `IExternalizable.readExternal(IDataInput)`, Adobe Livedocs (external)

### Method Summary

Methods
`ByteOrder` `getEndian()` Return the byteorder used when loading values.
`boolean` `readBoolean()` Read boolean value.
`byte` `readByte()` Read signed single byte value.
`void` `readBytes(byte[] bytes)` Read list of bytes.
`void` `readBytes(byte[] bytes, int offset)` Read list of bytes to given offset.
`void` `readBytes(byte[] bytes, int offset, int length)` Read given number of bytes to given offset.
`double` `readDouble()` Read double-precision floating point value.
`float` `readFloat()` Read single-precision floating point value.
`int` `readInt()` Read signed integer value.
`String` `readMultiByte(int length, String charSet)` Read multibyte string.
`Object` `readObject()` Read arbitrary object.
`short` `readShort()` Read signed short value.
`int` `readUnsignedByte()` Read unsigned single byte value.
`long` `readUnsignedInt()` Read unsigned integer value.
`int` `readUnsignedShort()` Read unsigned short value.
`String` `readUTF()` Read UTF-8 encoded string.
`String` `readUTFBytes(int length)` Read UTF-8 encoded string with given length.
`void` `setEndian(ByteOrder endian)` Set the byteorder to use when loading values.

### Method Detail

#### getEndian

    ByteOrder getEndian()

Return the byteorder used when loading values.

Returns:
  the byteorder

#### setEndian

    void setEndian(ByteOrder endian)

Set the byteorder to use when loading values.

Parameters:
  `endian` - the byteorder to use

#### readBoolean

    boolean readBoolean()

Read boolean value.

Returns:
  the value

#### readByte

    byte readByte()

Read signed single byte value.

Returns:
  the value

#### readBytes

    void readBytes(byte[] bytes)

Read list of bytes.

Parameters:
  `bytes` - destination for read bytes

#### readBytes

    void readBytes(byte[] bytes,
                 int offset)

Read list of bytes to given offset.

Parameters:
  `bytes` - destination for read bytes
  `offset` - offset in destination to write to

#### readBytes

    void readBytes(byte[] bytes,
                 int offset,
                 int length)

Read given number of bytes to given offset.

Parameters:
  `bytes` - destination for read bytes
  `offset` - offset in destination to write to
  `length` - number of bytes to read

#### readDouble

    double readDouble()

Read double-precision floating point value.

Returns:
  the value

#### readFloat

    float readFloat()

Read single-precision floating point value.

Returns:
  the value

#### readInt

    int readInt()

Read signed integer value.

Returns:
  the value

#### readMultiByte

    String readMultiByte(int length,
                       String charSet)

Read multibyte string.

Parameters:
  `length` - length of string to read
  `charSet` - character set of string to read
Returns:
  the string

#### readObject

    Object readObject()

Read arbitrary object.

Returns:
  the object

#### readShort

    short readShort()

Read signed short value.

Returns:
  the value

#### readUnsignedByte

    int readUnsignedByte()

Read unsigned single byte value.

Returns:
  the value

#### readUnsignedInt

    long readUnsignedInt()

Read unsigned integer value.

Returns:
  the value

#### readUnsignedShort

    int readUnsignedShort()

Read unsigned short value.

Returns:
  the value

#### readUTF

    String readUTF()

Read UTF-8 encoded string.

Returns:
  the string

#### readUTFBytes

    String readUTFBytes(int length)

Read UTF-8 encoded string with given length.

Parameters:
  `length` - the length of the string
Returns:
  the string